﻿<Window x:Class="Baseball.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:Baseball"
        mc:Ignorable="d"
        Title="MainWindow" Height="450" Width="800">
    <Window.Resources>
        <local:BaseballSimulator x:Key="baseballSimulator"/>
    </Window.Resources>
    <Grid Margin="5" DataContext="{StaticResource ResourceKey=baseballSimulator}">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="200" />
            <ColumnDefinition/>
        </Grid.ColumnDefinitions>
        <StackPanel Margin="0,0,10,0">
            <TextBlock Text="Trajectory" Margin="0,0,0,5"/>
            <TextBox Text="{Binding Trajectory, Mode=TwoWay}" Margin="0,0,0,5"/>
            <TextBlock Text="Distance" Margin="0,0,0,5"/>
            <TextBox Text="{Binding Distance, Mode=TwoWay}" Margin="0,0,0,5"/>
            <Button Content="Play ball!" Click="Button_Click"/>
        </StackPanel>
        <StackPanel Grid.Column="1">
            <TextBlock Text="Pitcher says" Margin="0,0,0,5"/>
            <ListView ItemsSource="{Binding PitcherSays}" Height="125"/>
            <TextBlock Text="Fan says" Margin="0,0,0,5"/>
            <ListView ItemsSource="{Binding FanSays}" Height="125"/>
        </StackPanel>
    </Grid>
</Window>
